Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.crosswire.jsword.book.filter
Class FilterFactory

    java.lang.Object
      org.crosswire.jsword.book.filter.FilterFactory

    public final class FilterFactory

extends Object

A simple container for all the known filters.

Author:
  Joe Walker [joe at eireneh dot com]
See Also:
  `for license details. The copyright to this program is held by it's authors.`

Field Summary
`private static Filter` | `deft` The lookup table of filters
`private static Map` | `filters` The lookup table of filters
`private static Logger` | `log` The log stream

Constructor Summary
`private` | `FilterFactory()` Prevent instantiation

Method Summary
`static void` | `addFilter(String name, Filter instance)` Add to our list of known filters
`static Filter` | `getDefaultFilter()` Find a filter given a lookup string
`static Filter` | `getFilter(String lookup)` Find a filter given a lookup string.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private static final Logger log

  The log stream

### filters

    private static Map filters

  The lookup table of filters

### deft

    private static Filter deft

  The lookup table of filters

Constructor Detail

### FilterFactory

    private FilterFactory()

  Prevent instantiation

Method Detail

### getFilter

    public static Filter getFilter(String lookup)

  Find a filter given a lookup string. If lookup is null or the filter is not found then the default filter will be used.

### getDefaultFilter

    public static Filter getDefaultFilter()

  Find a filter given a lookup string

### addFilter

    public static void addFilter(String name,
                                 Filter instance)

  Add to our list of known filters

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright ¨ 2003-2007
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD